{# heredando header y footer #}
{% extends "./index.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionProvincia/" method="post" enctype="multipart/form-data" id="frm_nuevo_prov">
        {% csrf_token %}
        <br>
        <input type="hidden" name="id_bf" value="{{provincia.id_bf}}">
        <h6>Nombre:</h6>
        <input type="text" name="nombre_bf" id="nombre_bf" value="{{provincia.nombre_bf}}"  class="form-control" required>
        <br>
        <h6>Codigo Postal:</h6>
        <input type="text" name="codigo_bf" id="codigo_bf" value="{{provincia.codigo_bf}}"  class="form-control" required>
        <br>
        <h6>Capital de la Provincia:</h6>
        <input type="text" name="capital_bf" id="capital_bf" value="{{provincia.capital_bf}}"  class="form-control" required >
        <br>
        <h6>Region:</h6>
        <input type="text" name="region_bf" id="region_bf" value="{{provincia.region_bf}}"  class="form-control" required>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="/" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
          $("#frm_nuevo_prov").validate({
            rules:{
              "nombre_bf":{
                required:true
              },
              "codigo_bf":{
                required:true,
                minlength:6,
                maxlength:6
              },
              "capital_bf":{
                required:true,

              },
              "region_bf":{
                required:true
              }
            },
            messages:{
              "nombre_bf":{
                required:"Por favor Ingrese un Nombre"
              },
              "codigo_bf":{
                required:"Debe inresar el numero de Postal Valido",
                minlength:"El Codigo Postal no debe tener menos de 6 digitos",
                maxlength:"El Codigo Postal no debe tener mas de 6 digitos"
              },
              "capital_bf":{
                required:"Debe ingresar una capital valida",
                required:"Debe ingresar solo letras"

              },
              "region_bf":{
                required:"Debe ingresar la region segun su Capital"
              }
            }
          });
        </script>

{% endblock %}
